aboutsummaryrefslogtreecommitdiffstats
path: root/resources/libraries/bash/entry/bootstrap_verify_perf.sh
diff options
context:
space:
mode:
authorPeter Mikus <pmikus@cisco.com>2019-02-26 10:24:41 +0000
committerPeter Mikus <pmikus@cisco.com>2019-02-27 19:18:43 +0000
commit2045a26e54b45a5fd7635102ceda1662d84a2047 (patch)
tree7ca5a76399a569a3b5093f394615633a31385719 /resources/libraries/bash/entry/bootstrap_verify_perf.sh
parent97063f15d83378f8c5989b7116eb7a542147455f (diff)
CSIT-1449 Ansible: Adding calibration support
- Remove obsolete bootstrap_setup.sh. - Add calibration support into ansible. - Inject Ansible run with calibration to every job. Change-Id: Ib2d6cd0c04d3bce700b205bef34c3c88edb26e28 Signed-off-by: Peter Mikus <pmikus@cisco.com>
Diffstat (limited to 'resources/libraries/bash/entry/bootstrap_verify_perf.sh')
-rw-r--r--resources/libraries/bash/entry/bootstrap_verify_perf.sh2
1 files changed, 2 insertions, 0 deletions
diff --git a/resources/libraries/bash/entry/bootstrap_verify_perf.sh b/resources/libraries/bash/entry/bootstrap_verify_perf.sh
index aad2969ecc..cfe94686cb 100644
--- a/resources/libraries/bash/entry/bootstrap_verify_perf.sh
+++ b/resources/libraries/bash/entry/bootstrap_verify_perf.sh
@@ -31,6 +31,7 @@ source "${BASH_FUNCTION_DIR}/common.sh" || {
exit 1
}
source "${BASH_FUNCTION_DIR}/gather.sh" || die "Source failed."
+source "${BASH_FUNCTION_DIR}/ansible.sh" || die "Source failed."
common_dirs || die
get_test_code "${1-}" || die
get_test_tag_string || die
@@ -39,6 +40,7 @@ gather_build || die
check_download_dir || die
activate_virtualenv || die
reserve_testbed || die
+ansible_hosts "run-jitter-tool" || die
select_tags || die
compose_pybot_arguments || die
run_pybot || die